Scilab Function
Last update : 17/6/2004

det - déterminant

### Calling Sequence

  `det(X)`
  `[e,m]=det(X)`

### Parameters

- `X` : matrice réelle, complexe, polynomiale, rationnelle
- `m` : nombre réel ou complexe, mantisse du déterminant en base 10
- `e` : entier, exposant du déterminant en base 10

### Description

`det(X)` ( `m*10^e` est le déterminant de la matrice carrée `X`.

Pour les matrices polynomiales `det(X)` est équivalent à `determ(X)`.

Pour les matrices rationnelles `det(X)` est équivalent à `detr(X)`.

### Examples

        x=poly(0,'x');
        det([x,1+x;2-x,x^2])
        w=ssrand(2,2,4);roots(det(systmat(w))),trzeros(w)   // zéros du système linéaire
        A=rand(3,3);
        det(A), prod(spec(A))

### See Also

`detr`, `determ`,

### Used Function

Le calcul du determinant est basé sur les routines Lapack : DGETRF pour les matrices réelles et ZGETRF pour le cas complexe.